Bug 147518 - CAN-2004-0888 xpdf integer overflows
Summary: CAN-2004-0888 xpdf integer overflows
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gpdf   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL:
Whiteboard: impact=important,public=20041020
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-08 18:42 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 10:15:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:057 high SHIPPED_LIVE Important: gpdf security update 2005-02-15 05:00:00 UTC

Description Josh Bressers 2005-02-08 18:42:43 UTC
*** This bug has been split off bug 135393 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2004.10.12
10:20 -------

During a source code audit, Chris Evans and others discovered a number
of integer overflow bugs that affected all versions of xpdf.  An
attacker could construct a carefully crafted PDF file that could cause
xpdf to crash or possibly execute arbitrary code when opened.  

        CAN-2004-0888 Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        CAN-2004-0888 Affects: 3AS 3ES 3WS 3Desktop

This issue is embargoed until Oct20 1400UTC

Comment 1 Josh Bressers 2005-02-08 18:43:31 UTC
The original fix for this issue was incomplete.  Please see bug 135393 for a
proper fix.

Comment 2 Josh Bressers 2005-02-08 20:35:33 UTC
Now that I look at this, I don't think we've fixed this at all in RHEL4.

Comment 3 Marco Pesenti Gritti 2005-02-09 10:58:36 UTC
That fix is upstream in 2.8.2, that's why we have no patch for it.

Comment 4 Josh Bressers 2005-02-09 11:39:42 UTC
I looked at the code and I'm not seeing a fix for this issue.  If I'm missing
something please point it out.

Comment 5 Marco Pesenti Gritti 2005-02-09 12:07:51 UTC
>Now that I look at this, I don't think we've fixed this at all in RHEL4.

I was referring to this comment. The original patch for CAN-2004-0888 is
actually in the 2.8.2 sources. This is in the Changelog and I verified I can
patch -R it.

2004-11-05  Dan Williams  <dcbw@redhat.com>

        * xpdf/Catalog.cc, xpdf/XRef.cc: Fix for a number of integer
        overflow bugs discovered by Chris Evans. CAN-2004-0888,
        Bug #156729, Red Hat Bug #137420.

We still need to fix the issue discovered with that patch. I have that almost done.

Comment 6 Marco Pesenti Gritti 2005-02-09 12:30:14 UTC
Ok I built gpdf-2.8.2-4.3 with the patch and updated the errata files.

Comment 7 Mark J. Cox 2005-02-15 10:15:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-057.html



Note You need to log in before you can comment on or make changes to this bug.